package plant

import "github.com/gin-gonic/gin"

type TopicRouter struct{}

func (p *TopicRouter) InitTopicRouter(Router *gin.RouterGroup) {
	topicRouter := Router.Group("topic")
	{
		//话题管理
		topicRouter.POST("/add", topicApi.AddTopic)       // 添加话题
		topicRouter.POST("/update", topicApi.UpdateTopic) //修改话题
		topicRouter.POST("/page", topicApi.TopicPage)     //分页
		topicRouter.GET("/list", topicApi.TopicList)
		topicRouter.GET("/detail", topicApi.TopicDetail)
		topicRouter.POST("/delete", topicApi.DeleteTopic)

	}
}
